(define-module (stationery packages gnome-xyz)
               #:use-module ((guix licenses) #:prefix license:)
               #:use-module (guix gexp)
               #:use-module (gnu packages base)
               #:use-module (gnu packages version-control)
               #:use-module (gnu packages web)
               #:use-module (gnu packages bash)
               #:use-module (gnu packages)
               #:use-module (guix packages)
               #:use-module (guix git-download)
               #:use-module (guix download)
               #:use-module (guix build-system trivial)
               #:use-module (guix utils))

(define-public lavanda-gtk-theme
  (let ((commit "44c74ad34d272e07b91f779e62e63b6ef8645655"))
  (package
   (name "lavanda-gtk-theme")
   (version (git-version "" "0" commit))
   (source
     (origin
      (method git-fetch)
      (uri (git-reference
             (url "https://github.com/vinceliuice/Lavanda-gtk-theme.git")
             (commit commit)))
     (sha256
       (base32
         "1q253kl5lw9dpbmwaf715brdjka7b3s3kpl4i6s262dji84pp3dc"))
     (file-name (git-file-name name version))))
   (build-system trivial-build-system)
   (inputs
     `(("sassc" ,sassc)
       ("coreutils" ,coreutils)
       ("sed" ,sed)
       ("bash" ,bash)))
   (arguments
     '(#:modules ((guix build utils))
       #:builder
       (begin
         (use-modules (guix build utils))
         (let* ((out    (assoc-ref %outputs "out"))
                (bin    (string-append out "/share/themes"))
                (bash   (string-append 
                          (assoc-ref %build-inputs "bash")
                          "/bin/sh"))
                (coreutils (string-append
                          (assoc-ref %build-inputs "coreutils")
                          "/bin"))
                (sed    (string-append
                          (assoc-ref %build-inputs "sed")
                          "/bin"))
                (sassc  (string-append
                          (assoc-ref %build-inputs "sassc")
                          "/bin"))
                (source (assoc-ref %build-inputs "source")))
           (copy-recursively source (getcwd))
           (setenv "PATH" (string-append (getenv "PATH") ":" coreutils ":" sed ":" sassc))
           (mkdir-p bin)
           (invoke bash "build.sh")
           (invoke bash "install.sh" "-d" bin)))))
   (home-page "https://github.com/vinceliuice/Lavanda-gtk-theme")
   (synopsis "Lavanda gtk theme for linux desktops")
   (description "Lavanda gtk theme for linux desktops")
   (license license:gpl3))))

